Main Page Modules Data Structures File List Data Fields Globals Related Pages

# lib/stringbuf.h File Reference

More...

Go to the source code of this file.

## Defines
#define | appendStringBuf(sb, s) appendStringBufAux(sb, s, 0)
#define | appendLineStringBuf(sb, s) appendStringBufAux(sb, s, 1)
## Typedefs
typedef StringBufRec * | StringBuf
## Functions
StringBuf | newStringBuf (void)
StringBuf | freeStringBuf (StringBuf sb)
void | truncStringBuf (StringBuf sb)
char * | getStringBuf (StringBuf sb)
void | stripTrailingBlanksStringBuf (StringBuf sb)
void | appendStringBufAux (StringBuf sb, const char *s, int nl)

## Detailed Description

Definition in file stringbuf.h.

## Define Documentation

#define appendLineStringBuf | ( | sb,
|  | s |  | ) | appendStringBufAux(sb, s, 1)

| Definition at line 48 of file stringbuf.h. Referenced by addFileToTag, doPatchMacro, doSetupMacro, generateDepends, parseDescription, parseForSimple, parsePrep, and processSourceFiles.

#define appendStringBuf | ( | sb,
|  | s |  | ) | appendStringBufAux(sb, s, 0)

| Definition at line 44 of file stringbuf.h. Referenced by addFile, addFileToTagAux, doSetupMacro, generateDepends, getOutputFrom, parseBuildInstallClean, parseChangelog, parseFiles, parseForSimple, parsePrep, parseScript, processPackageFiles, and rpmReadPackageManifest.

## Typedef Documentation

typedef struct StringBufRec* StringBuf

| Definition at line 10 of file stringbuf.h.

## Function Documentation

void appendStringBufAux | ( | StringBuf | sb,
|  | const char * | s,
|  | int | nl
| ) |

| Definition at line 88 of file stringbuf.c.

StringBuf freeStringBuf | ( | StringBuf | sb | ) |

| Definition at line 52 of file stringbuf.c. Referenced by addFileToArrayTag, addFileToTag, addFileToTagAux, checkFiles, doSetupMacro, freePackage, freeSpec, generateDepends, parseChangelog, parseDescription, parsePrep, parseScript, processBinaryFiles, processSourceFiles, and rpmReadPackageManifest.

char* getStringBuf | ( | StringBuf | sb | ) |

| Definition at line 83 of file stringbuf.c. Referenced by addChangelog, addFileToArrayTag, addFileToTag, checkFiles, doScript, generateDepends, parsePrep, parseScript, processPackageFiles, processSourceFiles, and rpmReadPackageManifest.

StringBuf newStringBuf | ( | void |  | ) |

| Definition at line 40 of file stringbuf.c.

void stripTrailingBlanksStringBuf | ( | StringBuf | sb | ) |

| Definition at line 70 of file stringbuf.c. Referenced by parseDescription, and parseScript.

void truncStringBuf | ( | StringBuf | sb | ) |

| Definition at line 61 of file stringbuf.c.